import React from 'react';
export declare type LayoutAndStyle = {
    layout: 'none';
} | {
    layout?: 'absolute-fill';
    style?: React.CSSProperties;
    className?: string;
};
export declare type SequenceProps = {
    children: React.ReactNode;
    from?: number;
    durationInFrames?: number;
    name?: string;
    showInTimeline?: boolean;
    showLoopTimesInTimeline?: number;
} & LayoutAndStyle;
/**
 * @description A component that time-shifts its children and wraps them in an absolutely positioned <div>.
 * @see [Documentation](https://www.remotion.dev/docs/sequence]
 */
export declare const Sequence: React.ForwardRefExoticComponent<SequenceProps & React.RefAttributes<HTMLDivElement>>;
